低危 Haxx curl/libcurl远程安全绕过漏洞(CNVD-2017-06716)

CVE编号

CVE-2017-7468

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-07-17
漏洞描述
Haxx curl和libcurl都是瑞典Haxx公司的产品。curl是一套利用URL语法在命令行下工作的文件传输工具。libcurl是一个免费、开源的客户端URL传输库。

Haxx curl/libcurl 7.52.0版本至7.53.1版本中存在远程安全绕过漏洞。远程攻击者可利用该漏洞绕过安全限制,执行未授权的操作。
解决建议
目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
https://curl.haxx.se/docs/adv_20170419.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 haxx libcurl * From
(including)
7.52.0
Up to
(including)
7.53.1
运行在以下环境
系统 alpine_3.10 curl * Up to
(excluding)
7.54.0-r0
运行在以下环境
系统 alpine_3.11 curl * Up to
(excluding)
7.54.0-r0
运行在以下环境
系统 alpine_3.12 curl * Up to
(excluding)
7.54.0-r0
运行在以下环境
系统 alpine_3.13 curl * Up to
(excluding)
7.54.0-r0
运行在以下环境
系统 alpine_3.14 curl * Up to
(excluding)
7.54.0-r0
运行在以下环境
系统 alpine_3.15 curl * Up to
(excluding)
7.54.0-r0
运行在以下环境
系统 alpine_3.16 curl * Up to
(excluding)
7.54.0-r0
运行在以下环境
系统 alpine_3.2 curl * Up to
(excluding)
7.52.1-r1
运行在以下环境
系统 alpine_3.3 curl * Up to
(excluding)
7.52.1-r1
运行在以下环境
系统 alpine_3.4 curl * Up to
(excluding)
7.52.1-r2
运行在以下环境
系统 alpine_3.5 curl * Up to
(excluding)
7.52.1-r3
运行在以下环境
系统 alpine_3.6 curl * Up to
(excluding)
7.54.0-r0
运行在以下环境
系统 alpine_3.7 curl * Up to
(excluding)
7.54.0-r0
运行在以下环境
系统 alpine_3.8 curl * Up to
(excluding)
7.54.0-r0
运行在以下环境
系统 alpine_3.9 curl * Up to
(excluding)
7.54.0-r0
运行在以下环境
系统 alpine_edge curl * Up to
(excluding)
7.54.0-r0
运行在以下环境
系统 debian DPKG * Up to
(excluding)
7.52.1-5
运行在以下环境
系统 fedora_26 curl * Up to
(excluding)
7.53.1-6.fc26
运行在以下环境
系统 suse_12 curl * Up to
(excluding)
7.60.0-2
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-295 证书验证不恰当
阿里云安全产品覆盖情况